/*======================================*/
/* ESTRATEGIAS CLIMÁTICAS               */
/*======================================*/
.climate-strategy-logo {
  width: auto;
  max-width: 100%;
  height: 80px;
  margin-bottom: 10px;
}

/*======================================*/
/* ACCIONES CLIMÁTICAS               */
/*======================================*/

.climate-action-section{
  background: var(--color-white);
}

.climate-action-container {
  display: flex;
  max-width: 1500px;
  flex-direction: column;
  margin-left: auto;
  margin-right: auto;
  padding: 3% 3% 3% 3%;
  align-items: center;
}

.climate-action-header {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-bottom: 10px;
  text-align: center;
}

.climate-action-grid {
  display: flex;
  justify-content: center;
  gap: 30px;
  margin-top: 30px;
  flex-wrap: wrap;
}

.climate-action-card {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  padding: 5px;
  border-radius: 5px;
  gap: 20px;
  flex: 0 0 300px;
}

.climate-action-card img{
  width: 180px;
  height: auto;
  transition: transform 0.3s ease;
}

.climate-action-card:hover img {
  transform: scale(1.05);
}

/* ========= TABLET (≤ 1024px) ========= */
@media (max-width: 1024px) {
.climate-action-container {
  padding: 5% 5% 5% 5%;
}

.climate-action-card {
  flex: 0 0 calc(50% - 15px);
}

.climate-action-card img {
  width: 165px;
  height: auto;
}

.climate-action-card {
    gap: 15px;
}
}

/* ========= MÓVIL (≤ 767px) ========= */
@media (max-width: 767px) {
.climate-action-container {
  padding: 8% 8% 8% 8%;
}

.climate-action-card img {
  width: 125px;
  height: auto;
}
.climate-action-card {
    gap: 10px;
}
}

/*Animaciones */
.climate-action-card {  
  --visibility-progress: 0;
  opacity: var(--visibility-progress);
  transform: translateY(calc(30px * (1 - var(--visibility-progress))));
  transition: opacity 0.1s linear, transform 0.1s linear;
}

.climate-action-card.animate-in {
  --visibility-progress: 1;
}

/*======================================*/
/* DESTACAR BUSQUEDA                    */
/*======================================*/
.climate-action-card {
  transition: background-color 0.4s ease;
}

.climate-action-card.highlight {
  background-color: var(--color-highlight);
}